#include <iostream>

using namespace std;

int main()
{
    int l,n,x;
    cin>>n>>l;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>x;
        a[n]=x;
    }
    int br=0;
    for(int i=0;i<n;i++)
    {
        if(l>a[i])
        {
            cout<<i;
            break;
        }
        else
        {
            br++;
        }
    }
    if(br==n)
    {
        cout<<-1;
    }
}